## wmpuzzle 0.1.1

=== src/Makefile ===
# $Id: Makefile,v 1.11 2002/03/13 17:09:33 godisch Exp $

prefix      = /usr/local
exec_prefix = ${prefix}
bindir      = ${exec_prefix}/bin
mandir      = ${prefix}/share/man

DESTDIR     =

CFLAGS      = -O2 -Wall -pedantic
LIBS        = -L/usr/X11R6/lib -lX11 -lXpm -lXext
XPMS        = xpm/debian.xpm xpm/eagle.xpm xpm/earth.xpm xpm/linux.xpm

all: wmpuzzle

wmpuzzle: wmpuzzle.o wmgeneral.o
	$(CC) $(LIBS) -o $@ $^

wmpuzzle.o: wmpuzzle.c wmpuzzle.h $(XPMS)
wmgeneral.o: wmgeneral.c wmgeneral.h

install: install-bin install-doc

install-bin: wmpuzzle
	install -D -s -m 755 $< $(DESTDIR)$(bindir)/wmpuzzle

install-doc: wmpuzzle.6
	install -D -m 644 $< $(DESTDIR)$(mandir)/man6/wmpuzzle.6

uninstall: uninstall-bin uninstall-doc

uninstall-bin:
	rm -f $(DESTDIR)$(bindir)/wmpuzzle

uninstall-doc:
	rm -f $(DESTDIR)$(mandir)/man6/wmpuzzle.6

clean:
	rm -f *.o

distclean: clean
	rm -f wmpuzzle

.PHONY: all clean dist-clean install install-bin install-doc \
	uninstall uninstall-bin uninstall-doc

## wmpuzzle 0.5.0

=== debian/changelog ===
wmpuzzle (0.5.0-4ubuntu1) oneiric; urgency=low

  * Fix FTBFS with ld --as-needed. LP: #832859.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 15:24:23 +0200

wmpuzzle (0.5.0-4) unstable; urgency=low

  * Updated package to source format 3.0 (quilt).
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Sep 2010 12:00:03 +0200

wmpuzzle (0.5.0-3) unstable; urgency=low

  * Fixed watch file, closes: #450352.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 11 Dec 2007 19:02:10 +0100

wmpuzzle (0.5.0-2) unstable; urgency=low

  * Debian maintenance release.
  * Fixed timestamps.
  * Fixed clean target.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 03 Nov 2007 10:49:38 +0100

wmpuzzle (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Acknowledging NMU, thanks to Marc Brockschmidt, closes: #346961.
  * Added source xpm files to Debian package.
  * Added watch file.
  * Fixed menu file.
  * Fixed POSIX compliance of debian/rules.
  * Updated standards version.
  * Updated FSF addresse.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 16 Apr 2006 10:28:40 +0200

wmpuzzle (0.4.0-1.1) unstable; urgency=low

  * Non-maitnainer upload to help xlibs-dev transition.
  * debian/control: Replaced xlibs-dev build-dep. (Closes: #346961)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 23:57:14 +0100

wmpuzzle (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 01 May 2003 12:40:20 +0200

wmpuzzle (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 24 Mar 2003 17:37:35 +0100

wmpuzzle (0.2.1-3) unstable; urgency=low

  * Re-added lost debian/watch.
  * Updated package description.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 11 Mar 2003 00:56:53 +0100

wmpuzzle (0.2.1-2) unstable; urgency=low

  * Fixed update-menus in debian/postinst and debian/postrm.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 01 Mar 2003 11:22:10 +0100

wmpuzzle (0.2.1-1) unstable; urgency=low

  * New upstream release.
  * Removed build-dependency on debhelper.
  * Updated Debian standards version.
  * Updated maintainer email address.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 21 Feb 2003 09:20:25 +0100

wmpuzzle (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian directory.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon, 21 Oct 2002 22:29:43 +0200

wmpuzzle (0.1.1-2) unstable; urgency=medium

  * Fixed bindir /usr/bin -> /usr/games (closes: #143926).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Mon, 22 Apr 2002 08:41:40 +0200

wmpuzzle (0.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Added debian/compat, debian/watch; updated debian/rules.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Wed, 17 Apr 2002 19:09:33 +0200

wmpuzzle (0.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Thu, 14 Mar 2002 19:01:21 +0100

wmpuzzle (0.0.2-1) unstable; urgency=low

  * Initial release (closes: #137729).

 -- Martin A. Godisch <godisch@tcs.inf.tu-dresden.de>  Sun, 10 Mar 2002 18:32:16 +0100

=== debian/control ===
Source: wmpuzzle
Section: games
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Build-Depends: libx11-dev, libxext-dev, libxpm-dev
Standards-Version: 3.9.1

Package: wmpuzzle
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wmaker | afterstep
Description: WindowMaker dock app 4x4 puzzle
 wmpuzzle provides a 4x4 puzzle on a 64x64 mini window. You can puzzle any
 XPM image you wish. wmpuzzle is designed to work with the WindowMaker dock,
 but will work with other window managers as well. wmpuzzle's upstream
 homepage can be found at http://people.debian.org/~godisch/wmpuzzle/.

## wmpuzzle 0.5.1

=== debian/changelog ===
wmpuzzle (0.5.1-1) unstable; urgency=low

  * New upstream release,
    closes: #641339 (package ftbfs with ld --as-needed).
    Thanks to Matthias Klose.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Feb 2012 09:20:25 +0100

## wmpuzzle 0.5.2

=== debian/changelog ===
wmpuzzle (0.5.2-4) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:53:52 +0200

wmpuzzle (0.5.2-3) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes: #957952.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 14:33:41 +0200

wmpuzzle (0.5.2-2) unstable; urgency=low

  * Fixed reproducible builds, closes: #777362, thanks to Chris Lamb.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jun 2015 18:54:58 +0200

wmpuzzle (0.5.2-1) unstable; urgency=low

  * New upstream release: Fixed segfault, thanks to The Mayhem Team
    from Cylab, Carnegie Mellon University.
  * Updated standards version:
    + added build-arch, build-indep targets to debian/build,
    + added hardening build flags.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Jun 2013 20:50:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = debian/wmpuzzle
DEBDIR   = $(BUILDDIR)/DEBIAN
DOCDIR   = $(BUILDDIR)/usr/share/doc/wmpuzzle
testdir  = test -f src/wmpuzzle.c && test -f debian/rules
testroot = test x`whoami` = xroot

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CPPFLAGS = -Wall $(shell dpkg-buildflags --get CPPFLAGS)
export CPPFLAGS

CFLAGS = -Wall -g $(shell dpkg-buildflags --get CFLAGS)
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

LDFLAGS = -Wall $(shell dpkg-buildflags --get LDFLAGS)
export LDFLAGS

clean:
	$(testdir)
	rm -f build debian/files debian/substvars
	[ ! -f src/Makefile ] || $(MAKE) -C src distclean
	rm -rf debian/wmpuzzle

build: build-arch

build-indep:

build-arch:
	$(testdir)
	cd src && ./configure $(CONFFLAGS) --prefix=/usr --bindir=/usr/games --mandir=/usr/share/man
	$(MAKE) -C src
	touch build

binary: binary-arch

binary-indep:

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/wmpuzle

	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/wmpuzzle
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note $(BUILDDIR)/usr/games/wmpuzzle
endif
	gzip -9n $(BUILDDIR)/usr/share/man/man6/wmpuzzle.6
	install -D -p -o root -g root -m 0644 debian/menu $(BUILDDIR)/usr/share/menu/wmpuzzle

	install -D -p -o root -g root -m 0644 CHANGES $(DOCDIR)/changelog
	install -D -p -o root -g root -m 0644 CHANGES $(DOCDIR)/changelog
	install -D -p -o root -g root -m 0644 debian/changelog $(DOCDIR)/changelog.Debian
	install    -p -o root -g root -m 0644 README debian/copyright $(DOCDIR)
	install -d -p -o root -g root -m 0755 $(DOCDIR)/puzzles
	install    -p -o root -g root -m 0644 src/*.xpm $(DOCDIR)/puzzles
	gzip -9n $(DOCDIR)/changelog*

	install -d -p -o root -g root -m 0755 $(DEBDIR)
	install    -p -o root -g root -m 0644 debian/control $(DEBDIR)
	install    -p -o root -g root -m 0755 debian/postinst debian/postrm $(DEBDIR)
	cd $(BUILDDIR) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
	chmod 0644 $(DEBDIR)/md5sums

	dpkg-shlibdeps $(BUILDDIR)/usr/games/wmpuzzle
	dpkg-gencontrol -isp -pwmpuzzle -P$(BUILDDIR)
	dpkg --build $(BUILDDIR) ..

.PHONY: clean binary binary-indep binary-arch

=== debian/watch ===
version=3
http://people.debian.org/~godisch/wmpuzzle/wmpuzzle-(.*)\.tar\.gz debian

## wmpuzzle 0.5.3

=== debian/changelog ===
wmpuzzle (0.5.3-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:36:26 +1100

wmpuzzle (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Changed build system to debhelper, closes: #928799.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 20 Mar 2024 09:13:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: wmpuzzle
 Section: games
 Priority: optional
-Maintainer: Martin A. Godisch <godisch@debian.org>
-Build-Depends: libx11-dev, libxext-dev, libxpm-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin A. Godisch <godisch@debian.org>
+Build-Depends: debhelper-compat (=13), libx11-dev, libxext-dev, libxpm-dev
+Standards-Version: 4.6.2
 
 Package: wmpuzzle
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: wmaker | afterstep
 Description: WindowMaker dock app 4x4 puzzle
  wmpuzzle provides a 4x4 puzzle on a 64x64 mini window. You can puzzle any

=== debian/watch ===
version=4
http://people.debian.org/~godisch/wmpuzzle wmpuzzle-(.*)\.tar\.gz
